Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.LocalQueriesResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.LocalQueriesResponse`, `ClientWireProtocol.LocalQueriesResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.LocalQueriesResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SysQueriesRow` `getRows​(int index)` `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`int` `getRowsCount()` `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`List<ClientWireProtocol.SysQueriesRow>` `getRowsList()` `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`ClientWireProtocol.SysQueriesRowOrBuilder` `getRowsOrBuilder​(int index)` `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`List<? extends ClientWireProtocol.SysQueriesRowOrBuilder>` `getRowsOrBuilderList()` `repeated .xg.cmdcomp.SysQueriesRow rows = 2;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasResponse

    boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

#### getResponse

    ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

#### getResponseOrBuilder

    ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getRowsList

    List<ClientWireProtocol.SysQueriesRow> getRowsList()

`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

#### getRows

    ClientWireProtocol.SysQueriesRow getRows​(int index)

`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

#### getRowsCount

    int getRowsCount()

`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

#### getRowsOrBuilderList

    List<? extends ClientWireProtocol.SysQueriesRowOrBuilder> getRowsOrBuilderList()

`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`

#### getRowsOrBuilder

    ClientWireProtocol.SysQueriesRowOrBuilder getRowsOrBuilder​(int index)

`repeated .xg.cmdcomp.SysQueriesRow rows = 2;`